summaryrefslogtreecommitdiff
path: root/plugins/zsh-navigation-tools/zsh-navigation-tools.plugin.zsh
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2015-11-30 09:50:37 +0100
committerMarc Cornellà <marc.cornella@live.com>2015-11-30 09:50:37 +0100
commitafd28bf1fc22f53c4a1af3f5836ca428affb34b3 (patch)
tree9f56960cbb4e2074d405e4be587a1658a6cc2159 /plugins/zsh-navigation-tools/zsh-navigation-tools.plugin.zsh
parentfea74b4b34412cca1b0bc3ec232e5ec8c602ee8a (diff)
parent4c292ea2b023a331dcf1af5644487f2272d24a4d (diff)
downloadzsh-afd28bf1fc22f53c4a1af3f5836ca428affb34b3.tar.gz
zsh-afd28bf1fc22f53c4a1af3f5836ca428affb34b3.tar.bz2
zsh-afd28bf1fc22f53c4a1af3f5836ca428affb34b3.zip
Merge pull request #4368 from psprint/master
Update Zsh Navigation Tools plugin
Diffstat (limited to 'plugins/zsh-navigation-tools/zsh-navigation-tools.plugin.zsh')
-rwxr-xr-xplugins/zsh-navigation-tools/zsh-navigation-tools.plugin.zsh38
1 files changed, 38 insertions, 0 deletions
diff --git a/plugins/zsh-navigation-tools/zsh-navigation-tools.plugin.zsh b/plugins/zsh-navigation-tools/zsh-navigation-tools.plugin.zsh
new file mode 100755
index 000000000..16247b8db
--- /dev/null
+++ b/plugins/zsh-navigation-tools/zsh-navigation-tools.plugin.zsh
@@ -0,0 +1,38 @@
+#!/usr/bin/env zsh
+
+REPO_DIR="${0%/*}"
+CONFIG_DIR="$HOME/.config/znt"
+
+#
+# Copy configs
+#
+
+if ! test -d "$HOME/.config"; then
+ mkdir "$HOME/.config"
+fi
+
+if ! test -d "$CONFIG_DIR"; then
+ mkdir "$CONFIG_DIR"
+fi
+
+set n-aliases.conf n-env.conf n-history.conf n-list.conf n-panelize.conf n-cd.conf n-functions.conf n-kill.conf n-options.conf
+
+for i; do
+ if ! test -f "$CONFIG_DIR/$i"; then
+ cp "$REPO_DIR/.config/znt/$i" "$CONFIG_DIR"
+ fi
+done
+
+#
+# Load functions
+#
+
+autoload n-aliases n-cd n-env n-functions n-history n-kill n-list n-list-draw n-list-input n-options n-panelize
+autoload znt-usetty-wrapper znt-history-widget znt-cd-widget znt-kill-widget
+alias naliases=n-aliases ncd=n-cd nenv=n-env nfunctions=n-functions nhistory=n-history
+alias nkill=n-kill noptions=n-options npanelize=n-panelize
+
+zle -N znt-history-widget
+bindkey '^R' znt-history-widget
+setopt AUTO_PUSHD HIST_IGNORE_DUPS PUSHD_IGNORE_DUPS
+